---
search:
  tags:
    - database-services
    - GET
seo:
  description: >-
    etcd health for a database service. Reference for the GET
    /api/v1/database-services/{id}/health/etcd endpoint in the TimescaleDB
    Enterprise API.
  noindex: true
sidebar:
  label: Get etcd health
  badge: GET
title: Get etcd health
type: openapi-operation
---
etcd health for a database service.

`GET /api/v1/database-services/{id}/health/etcd`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "console_mesh_down": true,
  "error": "string",
  "members": [
    {
      "cause": "down",
      "error": "string",
      "healthy": true,
      "host": "string",
      "overlay_ip": "string",
      "server_id": "string"
    }
  ],
  "status": "healthy"
}
```
